Get a list of messages within a conversation

Deprecated

GET
/v1/conversations/{csid}/messages

Authorization

headerAuthorization<token>

Path Parameters

csid*integer

Response Body

A list of messages

application/json
  1. response
data*array<>
curl -X GET 'https://example.com/v1/conversations/{csid}/messages' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": "string",
"created_at": "2015-11-30T00:00:00:000Z",
"author_id": "string",
"channel": "widget_chat",
"direction": "widget_chat",
"attributes": {
"text": "string",
"to_emails": "string",
"cc_email": "string",
"from_email": "string",
"inline_images": "string",
"attachments": "string",
"direction": "string",
"a_phone_number": "string",
"b_phone_number": "string",
"is_automated_message": "string",
"is_auto_reply": "string"
}
}
]
}